POSTsuix_getBalance

Sui Mainnethttps://sui-mainnet.nodit.io/

Return the total coin balance for one coin type, owned by the address owner.

Request Body
idintegerrequired
jsonrpcstringrequired
methodstringrequired
paramsoneOf[]required
params[0]string

Hex string encoding.

Responses
jsonrpcstring
coinObjectCountinteger (uint)required
coinTypestringrequired
lockedBalanceobjectrequired
totalBalancestringrequired
X-API-KEY
RequestCU10
cURL
curl -X POST "https://sui-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
    "id": 1,
    "jsonrpc": "2.0",
    "method": "suix_getBalance",
    "params": [
      null
    ]
  }'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "result": {
    "coinType": "0x168da5bf1f48dafc111b0a488fa454aca95e0b5e::usdc::USDC",
    "coinObjectCount": 15,
    "totalBalance": "15",
    "lockedBalance": {}
  },
  "id": 1
}